Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.ginsim
Class GinSimNodeKernel

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.BaseSupport
                  biouml.plugins.ginsim.GinSimNodeKernel

All Implemented Interfaces:
  Base, DataElement, MutableDataElement, Type

public class GinSimNodeKernel
extends BaseSupport

Field Summary
`static java.lang.String` | `ELLIPSE_FORM_TYPE`
`static java.lang.String` | `POINT_FORM_TYPE`
`static java.lang.String` | `RECT_FORM_TYPE`

Fields inherited from class biouml.standard.type.BaseSupport
`title, type`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface biouml.standard.type.Type
`CONSTANT, DATABASE_INFO, DIAGRAM_INFO, MATH, MATH_EQUATION, MATH_EVENT, MATH_FUNCTION, MATH_STATE, MATH_TRANSITION, TYPE_CELL, TYPE_CHEMICAL_ROLE, TYPE_COMPARTMENT, TYPE_CONCEPT, TYPE_DIAGRAM_REFERENCE, TYPE_FUNCTION, TYPE_GENE, TYPE_MOLECULE, TYPE_NOTE, TYPE_NOTE_LINK, TYPE_PROCESS, TYPE_PROTEIN, TYPE_REACTION, TYPE_RELATION, TYPE_RNA, TYPE_SEMANTIC_RELATION, TYPE_STATE, TYPE_SUBSTANCE, TYPE_UNKNOWN`

Constructor Summary
`GinSimNodeKernel(java.lang.String name, java.lang.String formType)`

Method Summary
`java.awt.Color` | `getBackgroundColor()`
`java.awt.Color` | `getForegroundColor()`
`java.lang.String` | `getFormType()`
`void` | `setBackgroundColor(java.awt.Color backgroundColor)`
`void` | `setForegroundColor(java.awt.Color foregroundColor)`
`void` | `setFormType(java.lang.String formType)`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, getType, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### ELLIPSE_FORM_TYPE

    public static final java.lang.String ELLIPSE_FORM_TYPE

See Also:
  Constant Field Values

### POINT_FORM_TYPE

    public static final java.lang.String POINT_FORM_TYPE

See Also:
  Constant Field Values

### RECT_FORM_TYPE

    public static final java.lang.String RECT_FORM_TYPE

See Also:
  Constant Field Values

Constructor Detail

### GinSimNodeKernel

    public GinSimNodeKernel(java.lang.String name,
                            java.lang.String formType)

Method Detail

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

### getForegroundColor

    public java.awt.Color getForegroundColor()

### setForegroundColor

    public void setForegroundColor(java.awt.Color foregroundColor)

### getFormType

    public java.lang.String getFormType()

### setFormType

    public void setFormType(java.lang.String formType)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.